glab(1)

NAME
glab-work-items-list - List work items in a project or group. (EXPERIMENTAL)

SYNOPSIS
glab work-items list [flags]

DESCRIPTION
List work items in a project or group.

Automatically detects scope from repository context. Use --group flag for group-level work items or -R to specify a different project.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
--after=""
    Fetch items after this cursor (for pagination)

-g, --group=""
    List work items for a group or subgroup.

-F, --output="text"
    Format output as: text, json.

-P, --per-page=20
    Number of items to list per page (max 100)

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

--state="opened"
    Filter by state: opened, closed, all.

-t, --type=[]
    Filter by work item type (epic, issue, task, etc.) Multiple types can be comma-separated or specified by repeating the flag.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # List first 20 open work items in current project
    glab work-items list
    # List open epics in a group (default: 20 items)
    glab work-items list --type epic -g gitlab-org
    # List first 50 open work items
    glab work-items list --per-page 50 -g gitlab-org
    # Get next page using cursor from previous output
    glab work-items list --after "eyJpZCI6OTk5OX0" -g gitlab-org
    # List closed work items
    glab work-items list --state closed -g gitlab-org
    # List all work items regardless of state
    glab work-items list --state all -g gitlab-org
    # JSON output with pagination metadata
    glab work-items list --output json -g gitlab-org
    # List issues in a specific project
    glab work-items list --type issue -R gitlab-org/cli

SEE ALSO
glab-work-items(1)